# SplObjectStorage::detach

(PHP 5 >= 5.1.0, PHP 7)

SplObjectStorage::detach — Removes an object from the storage

### Description

public SplObjectStorage::detach ( object `$object` ) : void

Removes the object from the storage.

### Parameters

`object`

  The object to remove.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::detach() example

`<?php
$o = new StdClass;
$s = new SplObjectStorage();
$s->attach($o);
var_dump(count($s));
$s->detach($o);
var_dump(count($s));
?>`

The above example will output something similar to:

    int(1)
    int(0)

### See Also

- SplObjectStorage::attach() - Adds an object in the storage
- SplObjectStorage::removeAll() - Removes objects contained in another storage from the current storage